Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642600 - media-video/mediainfo-18.03 fails with SYMLINK_LIB=no
Summary: media-video/mediainfo-18.03 fails with SYMLINK_LIB=no
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2017-12-29 06:12 UTC by charles17
Modified: 2018-09-15 12:24 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,17.30 KB, text/x-log)
2017-12-29 06:12 UTC, charles17
Details
emerge --info '=media-video/mediainfo-0.7.99::gentoo' (emerge --info,6.55 KB, text/plain)
2017-12-29 06:15 UTC, charles17
Details
/var/tmp/portage/media-video/mediainfo-0.7.99/work/MediaInfo/Project/GNU/GUI/config.log (config.log,32.81 KB, text/x-log)
2017-12-29 06:52 UTC, charles17
Details

Note You need to log in before you can comment on or make changes to this bug.
Description charles17 2017-12-29 06:12:45 UTC
Created attachment 511928 [details]
build.log

checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.6.0 (--unicode=yes --static=no)... no

WxWidgets not yet compiled, try to compile
Comment 1 charles17 2017-12-29 06:15:53 UTC
Created attachment 511930 [details]
emerge --info '=media-video/mediainfo-0.7.99::gentoo'
Comment 2 Alexander Tsoy 2017-12-29 06:50:32 UTC
ebuild inherits wxwidgets eclass but doesn't call setup-wxwidgets(). Try the following patch:

@@ -26,7 +26,10 @@
 
 pkg_setup() {
 	TARGETS="CLI"
-	use wxwidgets && TARGETS+=" GUI"
+	if use wxwidgets; then
+		TARGETS+=" GUI"
+		setup-wxwidgets
+	fi
 }
 
 src_prepare() {
Comment 3 charles17 2017-12-29 06:52:43 UTC
Created attachment 511932 [details]
/var/tmp/portage/media-video/mediainfo-0.7.99/work/MediaInfo/Project/GNU/GUI/config.log
Comment 4 charles17 2018-02-04 08:15:08 UTC
Meanwhile 17.12 wenat stable without the fix.  Why??

https://gitweb.gentoo.org/repo/gentoo.git/commit/media-video/mediainfo?id=06ce38f42e54ce57c0a56b2f52086a1503640112
Comment 5 charles17 2018-05-06 08:49:26 UTC
As https://github.com/gentoo/gentoo/pull/6677 was closed without a merge:
Is the "no-symlink-lib" dead?
Comment 6 charles17 2018-05-10 09:15:06 UTC
Same problem with media-video/mediainfo-18.03

checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.6.0 (--unicode=yes --static=no)... no

WxWidgets not yet compiled, try to compile


File Shared/Project/WxWidgets/Compile.sh not found

configure: error: 
            wxWidgets must be installed on your system.

            Please check that wx-config is in path, the directory
            where wxWidgets libraries are installed (returned by
            'wx-config --libs' or 'wx-config --static --libs' command)
            is in LD_LIBRARY_PATH or equivalent variable and
            wxWidgets version is 2.6.0 or above, and the compilation
            is compatible with
            --unicode=yes --static=no
            

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-video/mediainfo-18.03/work/MediaInfo/Project/GNU/GUI/config.log
Comment 7 charles17 2018-06-06 05:42:00 UTC
And media-video/mediainfo-18.03 even went stable, still ignoring the no-symlink-lib tracker and  https://github.com/gentoo/gentoo/pull/8332
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-06-17 06:31:05 UTC
Broken on new profiles.  Maintainer didn't manage to reply in half a year.  No revdeps.  Time to treeclean?
Comment 9 Pacho Ramos gentoo-dev 2018-06-17 11:13:19 UTC
it has media-video/bashnapi as reverse dep (also there is a 18.05 newer version)
Comment 10 Larry the Git Cow gentoo-dev 2018-09-15 12:24:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dd31dc605d4ccf8d114828608a35507e8357e7b

commit 3dd31dc605d4ccf8d114828608a35507e8357e7b
Author:     Tim Harder <radhermit@gentoo.org>
AuthorDate: 2018-09-15 12:14:45 +0000
Commit:     Tim Harder <radhermit@gentoo.org>
CommitDate: 2018-09-15 12:22:04 +0000

    media-video/mediainfo: fix wxwidgets eclass usage
    
    Fixes: https://bugs.gentoo.org/642600 thanks to charles17

 media-video/mediainfo/mediainfo-18.05.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)